Package org.apache.xmlbeans.impl.common

## Class SystemCache

- java.lang.Object
- - org.apache.xmlbeans.impl.common.SystemCache

-     public class SystemCache
      extends Object

  This class encapsulates the caching strategy for XmlBeans. By subclassing this, a client of XmlBeans can implement caches that are more suitable for different applications using information that XmlBeans cannot know.

  This class works as a singleton and as a default implementation for the cache. You can set a particular implementation using the "xmlbean.systemcacheimpl" system property or using the static `set(SystemCache)` method. Subclasses of this need to be thread-safe. An implementation can be replaced at any time, so use of static variables is discouraged to ensure proper cleanup.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SystemCache()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addToTypeLoaderCache​(SchemaTypeLoader stl, ClassLoader cl)` |
    `void` | `clearThreadLocals()` |
    `static SystemCache` | `get()` |
    `SchemaTypeLoader` | `getFromTypeLoaderCache​(ClassLoader cl)` |
    `Object` | `getSaxLoader()` |
    `static void` | `set​(SystemCache instance)` |
    `void` | `setSaxLoader​(Object saxLoader)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SystemCache

          public SystemCache()

  - ### Method Detail

    - #### set

          public static void set​(SystemCache instance)

    - #### get

          public static SystemCache get()

    - #### getFromTypeLoaderCache

          public SchemaTypeLoader getFromTypeLoaderCache​(ClassLoader cl)

    - #### addToTypeLoaderCache

          public void addToTypeLoaderCache​(SchemaTypeLoader stl,
                                           ClassLoader cl)

    - #### clearThreadLocals

          public void clearThreadLocals()

    - #### getSaxLoader

          public Object getSaxLoader()

    - #### setSaxLoader

          public void setSaxLoader​(Object saxLoader)